# Welcome

Thank you for reporting an issue to Flycheck.  We’re really happy that you’re
spending a little time with making Flycheck better! :+1:

If this is your first issue that you report to Flycheck, you may want to take a
look at our [Contributor’s Guide][], specially the [Bug Reports][] section,
which helps you through the process.  Please tell us if you had difficulties
with the information there, if you think that anything is missing, or if you had
an problems with reporting an issue to Flycheck.

We’d also like to refer you to our [Troubleshooting Guide][] guide for a list of
common issues with Flycheck that you can to fix yourself right now and more
information about debugging Flycheck issues, as we might need your assistance
with the issue.

We’d kindly like to ask you to include as much information as possible about the
issue.  Every piece of information helps us to track down the cause.  In doubt,
better include too much.  Here’s a list of facts that are generally important:

* What you did, and what you expected to happen instead
* Whether and how you were able to [reproduce the issue in emacs -Q][emacsQ]
* Your Flycheck setup from `M-x flycheck-verify-setup`
* Your operating system
* Your Emacs version from `M-x emacs-version`
* Your Flycheck version from `M-x flycheck-version`

Please note that as Flycheck does not support Windows we do generally *not*
attempt to fix issues that only occur on Windows and cannot be reproduced on
Linux or OS X.

You may delete all this text and start to fill in information about your issue.
Thank you very much :blush:

[Troubleshooting Guide]:  http://www.flycheck.org/en/latest/user/troubleshooting.html
[Contributor’s Guide]: http://www.flycheck.org/en/latest/contributor/contributing.html
[Bug Reports]: http://www.flycheck.org/en/latest/contributor/contributing.html#bug-reports
[emacsQ]: http://www.lunaryorn.com/2015/11/29/reproduce-bugs-in-emacs-Q.html
